From 16966e16c7d79148dbe8676b38ff666624f050b3 Mon Sep 17 00:00:00 2001
From: Timo Sigurdsson <public_timo.s@silentcreek.de>
Date: Fri, 17 Apr 2020 19:05:33 +0200
Subject: [PATCH] Fix Debian etckeeper bug #883263.

---
 cron.daily/etckeeper | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/cron.daily/etckeeper b/cron.daily/etckeeper
index eb74401..3266faa 100755
--- a/cron.daily/etckeeper
+++ b/cron.daily/etckeeper
@@ -1,5 +1,10 @@
 #!/bin/sh
 set -e
+# Don't run on systemd systems with an active etckeeper.timer unit.
+if [ -d /run/systemd/system ] && [ -x /bin/systemctl ] && /bin/systemctl -q is-active etckeeper.timer; then
+	exit 0
+fi
+
 if [ -e /etc/etckeeper/daily ] && [ -e /etc/etckeeper/etckeeper.conf ]; then
 	. /etc/etckeeper/etckeeper.conf
 	if [ "$AVOID_DAILY_AUTOCOMMITS" != "1" ]; then
-- 
2.20.1

